org.springframework.test.context.support

## Class GenericPropertiesContextLoader

- java.lang.Object
- - org.springframework.test.context.support.AbstractContextLoader
  - - org.springframework.test.context.support.AbstractGenericContextLoader
    - - org.springframework.test.context.support.GenericPropertiesContextLoader

All Implemented Interfaces:
  ContextLoader, SmartContextLoader

    public class GenericPropertiesContextLoader
    extends AbstractGenericContextLoader

Concrete implementation of `AbstractGenericContextLoader` that reads bean definitions from Java `Properties` resources.

Since:
  2.5
Author:
  Sam Brannen

### Field Summary

### Fields inherited from class org.springframework.test.context.support.AbstractGenericContextLoader

`logger`

### Constructor Summary

Constructors
Constructor and Description
`GenericPropertiesContextLoader()`

### Method Summary

Methods
`protected BeanDefinitionReader` `createBeanDefinitionReader(GenericApplicationContext context)` Creates a new `PropertiesBeanDefinitionReader`.
`String` `getResourceSuffix()` Returns "`-context.properties`".

### Methods inherited from class org.springframework.test.context.support.AbstractGenericContextLoader

`customizeBeanFactory, customizeContext, loadBeanDefinitions, loadContext, loadContext, prepareContext`

### Methods inherited from class org.springframework.test.context.support.AbstractContextLoader

`generateDefaultLocations, isGenerateDefaultLocations, modifyLocations, prepareContext, processContextConfiguration, processLocations`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericPropertiesContextLoader

    public GenericPropertiesContextLoader()

### Method Detail

#### createBeanDefinitionReader

    protected BeanDefinitionReader createBeanDefinitionReader(GenericApplicationContext context)

Creates a new `PropertiesBeanDefinitionReader`.

Specified by:
  `createBeanDefinitionReader` in class `AbstractGenericContextLoader`
Parameters:
  `context` - the context for which the `BeanDefinitionReader` should be created
Returns:
  a new PropertiesBeanDefinitionReader
See Also:
  `PropertiesBeanDefinitionReader`

#### getResourceSuffix

    public String getResourceSuffix()

Returns "`-context.properties`".

Specified by:
  `getResourceSuffix` in class `AbstractContextLoader`
Returns:
  the resource suffix; should not be `null` or empty
See Also:
  `AbstractContextLoader.generateDefaultLocations(Class)`